%define upstream_name    GIFgraph
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Graph Plotting Module (deprecated) 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MV/MVERB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(GD::Graph)
BuildRequires:	perl(Image::Magick)
BuildArch:	noarch


%description
GIFgraph is a perl5 module to create and display GIF output for a graph.

GIFgraph is nothing more than a wrapper around GD::Graph, and its use is
deprecated. It only exists for backward compatibility. The documentation for
all the functionality can be found in GD::Graph

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl -I. Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%install
%make_install

%check
make test

%files
%doc README
%{perl_vendorlib}/GIFgraph.pm
%{perl_vendorlib}/GIFgraph/
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.200.0-12.mga10
+ Revision: 2203968
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.200.0-11.mga9
+ Revision: 1809387
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-10.mga8
+ Revision: 1504566
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.200.0-9.mga7
+ Revision: 1283925
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.200.0-8.mga7
+ Revision: 1164530
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.200.0-7.mga7
+ Revision: 1160224
- fix build with perl-5.56

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-7.mga6
+ Revision: 1027933
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.200.0-6.mga6
+ Revision: 943243
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-5.mga5
+ Revision: 745920
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 684816
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.200.0-3.mga4
+ Revision: 511755
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 367555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 42080
- mageia rebuild
- imported package perl-GIFgraph


* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2010.0
+ Revision: 410069
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.20-3mdv2009.0
+ Revision: 257105
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.20-1mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2008.0
+ Revision: 82192
- import perl-GIFgraph


* Sat Sep 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2008.0
- first mdv release 
